LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XPdfDecomposer Interface Reference

XPdfDecomposer interface. More...

`import <XPdfDecomposer.idl;`

Inheritance diagram for XPdfDecomposer:

## Public Member Functions
sequence< XPrimitive2D > | getDecomposition ([in] com::sun::star::util::XBinaryDataContainer xDataContainer, [in] sequence< com::sun::star::beans::PropertyValue > xDecompositionParameters)
| Retrieve decomposed list - in this case a bitmap with the rendered PDF.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

XPdfDecomposer interface.

This renders a PDF data into a bitmap and returns it as a primitive.

Since
  LibreOffice 7.0

## Member Function Documentation

## ◆ getDecomposition()

sequence< XPrimitive2D > getDecomposition | ( | [in] com::sun::star::util::XBinaryDataContainer | xDataContainer,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | xDecompositionParameters )

Retrieve decomposed list - in this case a bitmap with the rendered PDF.

Parameters

  xDataContainer | The PDF data in a data container
  xDecompositionParameters | Parameters for decomposition. Parameters include:

sal_Int32 PageIndex - which page to use

The documentation for this interface was generated from the following file:

- com/sun/star/graphic/XPdfDecomposer.idl